<?php declare(strict_types=1);

namespace Aviat\Kilo\Type;

class StatusMessage {
	private function __construct(
		public string $text,
		public int $time,
	) {}

	public static function from(string $text, mixed ...$args): self
	{
		return new self(sprintf($text, ...$args), time());
	}
}